Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511966 - Review Request: qmltermwidget - a QML port of QTermWidget
Summary: Review Request: qmltermwidget - a QML port of QTermWidget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1509590
TreeView+ depends on / blocked
 
Reported: 2017-11-10 14:17 UTC by Artur Iwicki
Modified: 2017-12-09 20:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:20:54 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2017-11-10 14:17:42 UTC
spec: https://svgames.pl/fedora/qmltermwidget-0.1.0-2.spec
srpm: https://svgames.pl/fedora/qmltermwidget-0.1.0-2.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=23044305

Description: A QML port of QTermWidget. It is written to be as close as possible to the upstream project in order to make cooperation possible.

Fedora Account System Username: suve


The spec file linked here and the one in the SRPM differ slightly, because when building on my machine, some of the pkgcongig() requirements didn't pass despite the proper libraries being installed.

This package is intended to be a dependency of cool-retro-term (bug #1509590), which bundles the library.

Comment 1 Robert-André Mauchin 2017-11-10 17:13:28 UTC
Hello,

 - Just use:

Release:    2.20171027git%{commit_short}%{?dist}

   No dot are needed around git.

 - There's a typo in your Source0:

Source0:    %{URL}/archive/{%commit_long}/%{name}-%{commit_long}.tar.gz

   {%commit_long} → %{commit_long}

 - There is no pkgconfig(Qt5Declarative)

DEBUG util.py:458:  No matching package to install: 'pkgconfig(Qt5Declarative)'

   If I look at what qt5-qtdeclarative-devel provides:

$ dnf repoquery -l qt5-qtdeclarative-devel | grep "\.pc"
/usr/lib64/pkgconfig/Qt5Qml.pc
/usr/lib64/pkgconfig/Qt5Quick.pc
/usr/lib64/pkgconfig/Qt5QuickTest.pc
/usr/lib64/pkgconfig/Qt5QuickWidgets.pc

   It seems you already requested it with pkgconfig(Qt5Quick)

 - There's a typo in the License field:

License:    GPv2+

  Missing an L.

Comment 3 Robert-André Mauchin 2017-11-10 19:44:50 UTC
All ok, package accepted.

Comment 4 Gwyn Ciesla 2017-11-10 22:33:47 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qmltermwidget

Comment 5 Fedora Update System 2017-11-13 23:57:53 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89aacd5a82

Comment 6 Fedora Update System 2017-11-13 23:58:30 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e72c30b45

Comment 7 Fedora Update System 2017-11-13 23:59:04 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a81aaf3dd7

Comment 8 Fedora Update System 2017-11-13 23:59:47 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c321ff9f07

Comment 9 Fedora Update System 2017-11-14 15:47:27 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a81aaf3dd7

Comment 10 Fedora Update System 2017-11-14 16:44:15 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89aacd5a82

Comment 11 Fedora Update System 2017-11-14 17:12:22 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e72c30b45

Comment 12 Fedora Update System 2017-11-14 20:41:37 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c321ff9f07

Comment 13 Fedora Update System 2017-11-17 22:41:00 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f3b1ee2ec3

Comment 14 Fedora Update System 2017-11-18 20:17:14 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f3b1ee2ec3

Comment 15 Fedora Update System 2017-11-28 16:20:54 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-28 17:33:00 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-28 23:47:51 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-12-09 03:28:58 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-12-09 20:40:30 UTC
qmltermwidget-0.1.0-3.20171027git08958f7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.